<div class="modal-header">
    <h5 class="modal-title">
        Select Your Filter Type
        <br>
    </h5>
    <button type="button" class="close" (click)="close();">&times;</button>
</div>

<!-- Filter Model for Web -->
<div class="modal-body" style="padding: 0 !important;">
    <div class="filter-main-header">
        <!-- Filter Apply -->
        <div *ngIf="viewFilterdata.length > 0" class="px-3 py-2"
             style="width:100%;">
            <label class="form-label label-material">Selected Filters</label>

            <span class="ml-2  " placement="top"
                  ngbTooltip="Selected Filter that will be applied to the result">
                        <i class="ion ion-ios-information-circle-outline ion-theme"></i>
                    </span>
            <div class="w-100">
                <div *ngFor="let filteritems of filterOptions;let i=index" class="d-inline-flex">
                    <div ngbDropdown [placement]="isRTL ? 'bottom-right' : 'bottom-left'"
                         class="d-inline-flex mr-1 mb-1 values-align"
                         *ngIf="filteritems.dirtyFlag && (filteritems.selectedValues.length>0 || filteritems.datefield)">
                        <button class="btn btn-primary btn-sm btn-round"
                                [ngClass]="currentSelectedItem==i?onChangeOnFilterItems:''"
                                ngbDropdownToggle>{{filteritems.object_display}}</button>
                        <div ngbDropdownMenu [class.dropdown-menu-right]="isRTL"
                             *ngIf="filteritems.datefield">
                            <a class="dropdown-item disabled"
                               href="javascript:void(0)">{{dateFormat({'value': filteritems.object_name})}}</a>
                        </div>
                        <div ngbDropdownMenu [class.dropdown-menu-right]="isRTL"
                             *ngIf="!filteritems.datefield"
                             style="max-height: 400px;overflow:auto;">
                            <a class="dropdown-item disabled" href="javascript:void(0)"
                               *ngFor="let val of filteritems.selectedValues">{{val}}</a>
                        </div>
                    </div>

                    <div ngbDropdown [placement]="isRTL ? 'bottom-right' : 'bottom-left'"
                         class="d-inline-flex mr-1 mb-1 values-align"
                         *ngIf="(filteritems.attr_type && filteritems.attr_type == 'M' && filteritems.value && filteritems.value!='')">
                        <button class="btn btn-primary btn-sm btn-round"
                                [ngClass]="currentSelectedItem==i?onChangeOnFilterItems:''"
                                ngbDropdownToggle>{{filteritems.object_display}}</button>
                        <div ngbDropdownMenu [class.dropdown-menu-right]="isRTL">
                            <a class="dropdown-item disabled" *ngFor="let val of filteritems.values"
                               href="javascript:void(0)">{{(val.id == '' ? '>' : val.id) + ' ' + val.value}}</a>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="app-filter-content">
        <div class="row-two filter-header">
            <div class="col-title px-3 py-2">
                <label class="form-label label-material">Filter Options</label>
                <span class="ml-2  " placement="top"
                      ngbTooltip="Search filter options to select">
                            <i class="ion ion-ios-information-circle-outline ion-theme"></i>
                        </span>
                <div class="input-group">
                    <input class="form-control form-material" placeholder="Search for..." type="text"
                           [(ngModel)]="searchText_filterObj" (keyup)="onSearchInput($event, 'filterObj')">
                    <span class="form-btn" *ngIf="searchText_filterObj != ''"
                          (click)="clearSearchText('filterObj')"><i class="fa fa-times"
                                                                    aria-hidden="true"></i></span>
                </div>
            </div>

            <div class="col-title px-3 py-2" style="border-left:1px solid #e7e7e7">
                <label class="form-label label-material">Filter Values</label>
                <span class="ml-2  " placement="top"
                      ngbTooltip="Search filter type to select values">
                            <i class="ion ion-ios-information-circle-outline ion-theme"></i>
                        </span>
                <div class="input-group">
                    <input class="form-control form-material" placeholder="Search for..." type="text"
                           [(ngModel)]="searchText_filterVal" (keyup)="onSearchInput($event, 'filterVal')">
                    <span class="form-btn" *ngIf="searchText_filterVal != ''"
                          (click)="clearSearchText('filterVal')"><i class="fa fa-times"
                                                                    aria-hidden="true"></i></span>
                </div>

                <div *ngIf="!isdateField && (!selectedItem_copy?.attr_type || selectedItem_copy?.attr_type=='D')"
                     class="select_all float-right ml-3" style="padding-top: 8px;">
                    <label class="custom-control custom-checkbox m-0">
                        <input type="checkbox" class="custom-control-input" name="Select/UnSelect All"
                               [(ngModel)]="isSelectAll" [checked]="isSelectAll" (change)="selectAll()">
                        <span class="custom-control-label checkbox-label">Select All</span>
                    </label>
                </div>
                <div *ngIf="!isdateField && (!selectedItem_copy?.attr_type || selectedItem_copy?.attr_type=='D')"
                     class="float-right mr-2 mt-2 text-dark" style="padding-top: 6px;"
                     ngbTooltip="Reset filter values"><i
                        class="fas fa-sync-alt" (click)="resetClick()"></i>
                </div>
            </div>
        </div>
        <div class="row-three">
            <div class="filter-list overflow-hidden">
                <div style="position: relative;background: #fff;">
                    <div
                            style="position: absolute;left:42%;background:#fff;top:0px;padding: 0 10px;z-index: 1;">
                        Filters
                    </div>
                </div>
                <ul class="list-group pt-3 overflow-auto"
                    style="position: relative;background: #fff;max-height:46%">

                    <li class="list-group-item"
                        *ngFor="let option of getfilterOptions_copy('D'); let i=index;"
                        [ngClass]="{'active':selectedItem == option}" (click)="itemSelected(option,i)">
                        <div class="filter-left-item">{{option.object_display}}</div>
                        <span class="badge float-right">{{option.badge}}</span>
                    </li>
                </ul>
                <div style="position: relative;background: #fff;margin-top:15px">
                    <div
                            style="position: absolute;left:42%;background:#fff;top:-10px;padding: 0 10px;z-index: 1;">
                        Metrics
                    </div>
                </div>
                <ul class="list-group pt-3 overflow-auto"
                    style="position: relative;background: #fff;max-height:46%;">
                    <li class="list-group-item"
                        *ngFor="let option of getfilterOptions_copy('M'); let i=index;"
                        [ngClass]="{'active':selectedItem == option}" (click)="itemSelected(option,i)">
                        <div class="filter-left-item">{{option.object_display}}</div>
                        <span class="badge float-right">{{option.badge}}</span>
                    </li>
                </ul>
            </div>

            <div class="filter-list filter-overflow-hidden"
                 *ngIf="!selectedItem_copy.datefield && (!selectedItem_copy.attr_type || selectedItem_copy.attr_type=='D')"
                 appInfinitescroll (scrolled)="updateScrollPos($event)">
                <ul class="list-group">
                    <li class="list-group-item" *ngFor="let value of selectedItem_copy.values"
                        (click)="multiValueChanged(selectedItem_copy, value)">
                        <span *ngIf="!selectedItem_copy.datefield && value">{{value.value}}</span>

                        <span *ngIf="!selectedItem_copy.datefield" class="float-right icon-material">
                                    <i [ngClass]="{'fas fa-check':value.selected}" aria-hidden="true"></i>
                                </span>
                    </li>
                    <li class="list-group-item"
                        *ngIf="selectedItem_copy.values && !selectedItem_copy.values.length>0">
                        No data to select
                    </li>
                    <li class="list-group-item" *ngIf="!selectedItem_copy.values">
                        <span class="text-danger" *ngIf="!value">{{isFilterFetchFail}}</span>
                    </li>
                </ul>
            </div>
            <div class="filter-list" *ngIf="selectedItem_copy.datefield">
                <ul class="list-group">
                    <li class="list-group-item" *ngFor="let value of selectedItem_copy.values">
                        <div class="input-group-sm" *ngIf="selectedItem_copy.datefield">

                            <input class="form-control" type="date"
                                   [value]="selectedItem_copy.values[0].dateValue | date:'yyyy-MM-dd'"
                                   data-date-format="yyyy-MM-dd"
                                   (input)="selectedItem_copy.values[0].dateValue = dateValueChanged(selectedItem_copy,$event.target.value)"/>

                        </div>
                    </li>
                </ul>
            </div>
            <div class="filter-list" *ngIf="selectedItem_copy.attr_type=='M'">
                <div class="row m-2" style=" border: 1px solid #f1f1f2;"
                     *ngFor="let sel_item of selectedItem_copy.values;let key = index;">
                    <div class="input-group-sm col-lg-3 col-md-5 p-2">
                        <select class="custom-select form-control"
                                [value]="sel_item.id=='' ? '>':sel_item.id"
                                (change)="sel_item.id = measureCondition(selectedItem_copy,$event?.target?.value,0,key)">
                            <option value='>' selected> ></option>
                            <option value='>='> >=</option>
                            <option value='<'>
                                <
                            </option>
                            <option value='<='>
                                <=
                            </option>
                            <option value='!='> !=
                            </option>
                            <option value='=='> ==</option>

                        </select>
                    </div>
                    <div class="input-group-sm col-lg-8 col-md-5 p-2">
                        <input class="form-control" type="number" [id]="selectedItem_copy?.object_type"
                               [value]="sel_item.value"
                               (keyup)="sel_item.value = measureCondition(selectedItem_copy,$event.target?.value,1,key)"/>
                    </div>
                    <div class="input-group-sm col-lg-1 col-md-2" placement="top"
                         ngbTooltip="Reset filter values"
                         style="padding-top: 19px;"><i class=" fas fa-sync-alt"
                                                       (click)="sel_item.value = measureCondition(selectedItem_copy,'',1,key)"></i>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="app-filter-btn modal-footer">
        <button type="button" class="btn btn-default device-btn" (click)="close()">Cancel</button>
        <button type="button" class="btn btn-default device-btn" (click)="resetAllClick()">Reset All
        </button>
        <button type="button" class="btn btn-primary device-btn" (click)="apply()">Apply</button>
    </div>
</div>